#!/bin/bash

#This script is wrapper for racadm4 and racadm3
#We just check the version of the rac on the system
#and execute the correct racadm.
#for DRAC 5 we configure using syscfg.
rac3=1028:0008
rac4=1028:0012

test=""
test=`lspci -i $DT_TOOLS/pci.ids -d $rac3`
if [ -n "$test" ]; then
	/opt/dell/toolkit/bin/racsvc3.sh $*
	exit $?
fi

test=""
test=`lspci -i $DT_TOOLS/pci.ids -d $rac4`
if [ -n "$test" ]; then
	/opt/dell/toolkit/bin/racsvc4.sh $*
	exit $?
fi

echo "This system does not have a DRAC"
exit -1
